--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: debug
- !ruby/object:RI::MethodSummary 
  name: quiet
comment: 
- !ruby/struct:SM::Flow::P 
  body: This class serves as the base class for just about everything in the library so that the logging system can be configured in one place.
constants: []

full_name: Icalendar::Base
includes: []

instance_methods: []

name: Base
superclass: Object
